Logout
curl --request PUT \
--url https://{tenant}.fincode.software/api/v6/services/securitymanagement/logout \
--header 'Content-Type: application/json' \
--header 'platform: <platform>' \
--header 'uuid: <uuid>' \
--data '
{
"refresh_token": "<string>"
}
'import requests
url = "https://{tenant}.fincode.software/api/v6/services/securitymanagement/logout"
payload = { "refresh_token": "<string>" }
headers = {
"platform": "<platform>",
"uuid": "<uuid>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {platform: '<platform>', uuid: '<uuid>', 'Content-Type': 'application/json'},
body: JSON.stringify({refresh_token: '<string>'})
};
fetch('https://{tenant}.fincode.software/api/v6/services/securitymanagement/logout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authentication
Logout
Invalidate the current user session by revoking the refresh token and access token.
PUT
/
securitymanagement
/
logout
Logout
Invalidate the current user session by revoking both the access token and the refresh token. After a successful logout, the user must perform a full login with email and password to regain access.
Request Headers
Must be
application/json Platform identifier. Use
fincode Unique request identifier. Use
200 Unique JWT token
Code Examples
const axios = require("axios");
async function logout(refreshToken) {
try {
const response = await axios.put(
"[https://remitjunction.fincode.software/api/v6/services/securitymanagement/logout](https://remitjunction.fincode.software/api/v6/services/securitymanagement/logout)",
{
refresh_token: refreshToken,
},
{
headers: {
"Content-Type": "application/json",
platform: "fincode",
uuid: "200",
},
}
);
console.log("Logout successful:", response.data.message);
return response.data;
} catch (error) {
console.error("Logout failed:", error.response?.data || error.message);
throw error;
}
}
// Example Usage
const currentRefreshToken = "eyJhbGciOiJ...";
logout(currentRefreshToken);
curl -X PUT "https://remitjunction.fincode.software/api/v6/services/securitymanagement/logout" \
-H "Content-Type: application/json" \
-H "platform: fincode" \
-H "uuid: 200" \
-d '{
"refresh_token": "YOUR_CURRENT_REFRESH_TOKEN"
}'
⌘I
